package hemomancer.variables;

import basemod.abstracts.DynamicVariable;
import com.megacrit.cardcrawl.cards.AbstractCard;
import com.megacrit.cardcrawl.ui.panels.EnergyPanel;

import static hemomancer.HemomancerMod.makeID;

public class DefaultCustomVariable extends DynamicVariable {

    private int currentValue = 0;
    
    @Override
    public String key() {
        return makeID("ENERGY_DAMAGE");
    }
    
    @Override
    public boolean isModified(AbstractCard card) {
        return card.isDamageModified;
    }
    
    @Override
    public int value(AbstractCard card) {
        return getCurrentValue();
    }
    
    @Override
    public int baseValue(AbstractCard card) {
        return card.baseDamage * EnergyPanel.getCurrentEnergy();
    }
    
    @Override
    public boolean upgraded(AbstractCard card) {
        return card.upgradedDamage;
    }


    public int getCurrentValue() {
        return currentValue;
    }

    public void setCurrentValue(int currentValue) {
        this.currentValue = currentValue;
    }
}